      subroutine addon(car,num)
      character(*) car
      character(80) car1
      character(500) namel
      rewind 93
      call LECNAM('&CRNO',namel,93,ierr,0)
!      print*,'car',car
!      print*,'ierr',ierr
      if(ierr.eq.1) return
      do
         read(93,'(a)') CAR1
         call maj(CAR1,len_trim(car1))
!         print*,'car1',trim(car1)
         if(CAR1(1:7).eq.'FINCRNO') return
         if(car==car1) THEN
            do
               read(93,'(a)') CAR1
!               print*,'Car1',trim(car1)
               call majnam(car1,len_trim(car1))
               if(car1=='FINC') exit
               write(num,'(a)') trim(car1)
            enddo
         endif
      enddo
      return
      end
               

      
